Method: projects.locations.glossaries.terms.create

Creates a new GlossaryTerm resource.

HTTP request

POST https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/glossaries/*}/terms

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent resource where the GlossaryTerm will be created. Format: projects/{project_id_or_number}/locations/{locationId}/glossaries/{glossaryId} where locationId refers to a Google Cloud region.

Query parameters

Parameters
termId

string

Required. GlossaryTerm identifier.

Request body

The request body contains an instance of GlossaryTerm.

Response body

If successful, the response body contains a newly created instance of GlossaryTerm.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • dataplex.glossaryTerms.create

For more information, see the IAM documentation.